gnutls_pkcs7_get_crt_raw2(3)

NAME
gnutls_pkcs7_get_crt_raw2 - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_get_crt_raw2(gnutls_pkcs7_t pkcs7, unsigned indx, gnutls_datum_t * cert);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    should contain a gnutls_pkcs7_t type

unsigned indx
    contains the index of the certificate to extract

gnutls_datum_t * cert
    will hold the contents of the certificate; must be deallocated with gnutls_free()

DESCRIPTION
This function will return a certificate of the PKCS7 or RFC2630 certificate set. After the last certificate has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. If the provided buffer is not long enough, then certificate_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER is returned.

SINCE
3.4.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/